Loading...
Searching...
No Matches
Exception.h File Reference
`#include <robottestingframework/TestMessage.h>`
`#include <exception>`
Include dependency graph for Exception.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | robottestingframework::Exception
| The Exception is a generic exception. More...
class | robottestingframework::TestFailureException
| The FailureException class Failure exception is used when a test or subtests fail. More...
class | robottestingframework::TestErrorException
| The TestErrorException class Error exception is used when test breakdown due to an error in setup, teardown or any configuration. More...
class | robottestingframework::FixtureException
| The FixtureException class Ficture exception is used when a there is a probleme during fixture setup. More...

## Namespaces

namespace | robottestingframework